temporary-directory: null  # Directory for local disk like /tmp, /scratch, or /local

tokenize:
  ensure-deterministic: false  # If true, tokenize will error instead of falling back to uuids

dataframe:
  shuffle-compression: null  # compression for on disk-shuffling. Partd supports ZLib, BZ2, SNAPPY, BLOSC
  parquet:
    metadata-task-size-local: 512  # Number of files per local metadata-processing task
    metadata-task-size-remote: 16  # Number of files per remote metadata-processing task

array:
  svg:
    size: 120  # pixels
  slicing:
    split-large-chunks: null  # How to handle large output chunks in slicing. Warns by default.

optimization:
  fuse:
    active: null  # Treat as false for dask.dataframe, true for everything else
    ave-width: 1
    max-width: null  # 1.5 + ave_width * log(ave_width + 1)
    max-height: .inf
    max-depth-new-edges: null  # ave_width * 1.5
    subgraphs: null  # true for dask.dataframe, false for everything else
    rename-keys: true
